program myprog;
uses
  carterll;                   { include the proper unit }
var
  latitude, longitude : real; { for latitude and longitude }
  cc,                         { carter coordinate string }
  id : string;                { unique identifier }
begin
  writeln(ccllname);          { output name and version of routines }
  writeln(ccllsource);        { output source of routines }
  id := 'TEST';               { set up arbitrary id }
  if CarterToLatLon(id,'1234N2345E25G57',latitude,longitude)
    then writeln(id,latitude:10:6,' ',longitude:10:6)
    else writeln('Error calculating lat/lon');
  if LatLonToCarter(id,cc,37.013277,-84.824695,true)
    then writeln(id,' ',cc)
    else writeln('Error calculating Carter Coordinate');
end.
